{
    attributes = (
        {
            columnName = ANNEE_SCOL; 
            externalType = NUMBER; 
            name = anneeScol; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATE_EDITION; 
            externalType = DATE; 
            name = dateEdition; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = NBRE_CARTES; 
            externalType = NUMBER; 
            name = nbreCartes; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NUMERO_ETUDIANT; 
            externalType = NUMBER; 
            name = numeroEtudiant; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (numeroEtudiant, nbreCartes, dateEdition, anneeScol, dCreation, dModification); 
    className = EOGenericRecord; 
    classProperties = (numeroEtudiant, nbreCartes, dateEdition, anneeScol, dCreation, dModification); 
    externalName = DUPLICATAS; 
    fetchSpecificationDictionary = {}; 
    name = Duplicatas; 
    primaryKeyAttributes = (numeroEtudiant, anneeScol); 
}
